So, if you look at the AutoCAD command copyclip and pasteclip, this will paste the copied entities and and for the insertion point this will be the most left entity and the bottom entity (bottom left corner) without the need to calculate the drawing limits. This should make it easier..
Try this, the command is 'Move 0-0' (or M00 )
(defun c:M00 ( / MySS)
(command "undo" "end") ; clear undo marker, Simplest undo function used
(command "undo" "begin") ; set undo marker
(setq MySS (ssget "_X")) ; Select everything
(command "copyclip" MySS "") ; copy everything to the clip board. By default insert point is lower left corner
(command "pasteclip" '(0 0 0)) ; paste everything as a copy
(command "erase" MySS "") ; delete original entities... after pasting just in case paste goes all wrong
(command "undo" "end") ; clear undo marker
); end defun
If I haven't understood this quite right post your code as you have it with a couple of notes what you are doing and will see if we can modify that